## org.eclipse.datatools.connectivity.oda.spec.result
Class ResultSetSpecification

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.result.ResultSetSpecification

    public class ResultSetSpecification

extends java.lang.Object

Specification of the characteristics of an `IResultSet` to be retrieved by the associated `IQuery`.
Its application would impact the shape of data retrieved in a result set, in addition to any specification expressed in a query text.

Since:
  3.3 (DTP 1.8)

Method Summary
`FilterExpression` `getFilterSpecification()` Gets the current filtering specification of a query result set.
`ResultProjection` `getResultProjection()` Gets the current projection of a query result set.
`SortSpecification` `getSortSpecification()` Gets the current sorting specification of a query result set.
`boolean` `isEmpty()` Indicates whether this has an empty content.
`void` `setFilterSpecification(FilterExpression filterExpr)` Specifies the filtering characteristics of a query result set.
`void` `setResultProjection(ResultProjection projectionSpec)` Specifies the projection of a query result set.
`void` `setSortSpecification(SortSpecification sortSpec)` Specifies the sorting characteristics of a query result set.
`void` `validate(ValidationContext context)` Validates this in the specified context.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setFilterSpecification

    public void setFilterSpecification(FilterExpression filterExpr)

  Specifies the filtering characteristics of a query result set.

  Parameters:
    `filterExpr` - a composite or atomic `FilterExpression` with corresponding variable and argument values

### getFilterSpecification

    public FilterExpression getFilterSpecification()

  Gets the current filtering specification of a query result set.

  Returns:
    the current`FilterExpression`, or null if not explicitly specified

### setResultProjection

    public void setResultProjection(ResultProjection projectionSpec)

  Specifies the projection of a query result set.

  Parameters:
    `projectionSpec` - a `ResultProjection`

### getResultProjection

    public ResultProjection getResultProjection()

  Gets the current projection of a query result set.

  Returns:
    the current `ResultProjection`, or null if not explicitly specified

### setSortSpecification

    public void setSortSpecification(SortSpecification sortSpec)

  Specifies the sorting characteristics of a query result set.
  It is up to individual ODA runtme drivers to validate the type of sort specification that are acceptable to its data provider, based on its level of dynamic sorting support.

  This will replace `IQuery.setSortSpec(org.eclipse.datatools.connectivity.oda.SortSpec)` when it becomes API.

  Parameters:
    `sortBy` - a `SortSpecification`

### getSortSpecification

    public SortSpecification getSortSpecification()

  Gets the current sorting specification of a query result set.

  This will replace `IQuery.getSortSpec()` when it becomes API.

  Returns:
    the current `SortSpecification`, or null if not explicitly specified

### isEmpty

    public boolean isEmpty()

  Indicates whether this has an empty content.

  Returns:
    true if this has an empty content; false otherwise
  Since:
    3.3.1 (DTP 1.8.1)

### validate

    public void validate(ValidationContext context)
                  throws OdaException

  Validates this in the specified context.

  Parameters:
    `context` - context for validation; may be null which would limit the scope of validation
  Throws:
    `OdaException` - if validation failed. The exception thrown may be a chained OdaException, which identifies each of those specification component(s) that has caused the validation exception.
  Since:
    3.2.2 (DTP 1.7.2)
  See Also:
    `org.eclipse.datatools.connectivity.oda.spec.util.ValidatorUtil}`